### org.jfree.layouting.namespace

# Class DefaultNamespaceDefinition

- `java.lang.Object`
- - `org.jfree.layouting.namespace.DefaultNamespaceDefinition`

Implemented Interfaces:
  NamespaceDefinition

`public class DefaultNamespaceDefinition`
`extends java.lang.Object`
`implements NamespaceDefinition`

A default implementation of the NamespaceDefinition interface. This implementation assumes that all elements use the same style and class attributes.

Author:
  Thomas Morgner

  ## Constructor Summary

  `DefaultNamespaceDefinition(String uri, ResourceKey defaultStyleSheet, String classAttribute, String styleAttribute, String preferredPrefix)`

  ## Method Summary

  `String[]`

  `getClassAttribute(String element)`

  `ResourceKey`

  `getDefaultStyleSheetLocation()`

  `String`

  `getPreferredPrefix()`

  `String[]`

  `getStyleAttribute(String element)`

  `String`

  `getURI()`

## Constructor Details

### DefaultNamespaceDefinition

    public DefaultNamespaceDefinition(String uri,
                                      ResourceKey defaultStyleSheet,
                                      String classAttribute,
                                      String styleAttribute,
                                      String preferredPrefix)

## Method Details

### getClassAttribute

    public String[] getClassAttribute(String element)

> Specified by:
>   getClassAttribute in interface NamespaceDefinition

### getDefaultStyleSheetLocation

    public ResourceKey getDefaultStyleSheetLocation()

> Specified by:
>   getDefaultStyleSheetLocation in interface NamespaceDefinition

### getPreferredPrefix

    public String getPreferredPrefix()

> Specified by:
>   getPreferredPrefix in interface NamespaceDefinition

### getStyleAttribute

    public String[] getStyleAttribute(String element)

> Specified by:
>   getStyleAttribute in interface NamespaceDefinition

### getURI

    public String getURI()

> Specified by:
>   getURI in interface NamespaceDefinition